لوگوی SHANNON A.I.
SHANNON A.I.
چت قیمت‌ها API تحقیق شرکت Pentest AI Startup Boost
ورود
طرح و استفاده
چت قیمت‌ها API تحقیق شرکت Pentest AI Startup Boost ورود طرح و استفاده

زبان خود را انتخاب کنید

همه زبان‌ها برابر هستند. زبانی را انتخاب کنید که می‌خواهید با آن مرور کنید.

مستندات API

API Shannon

API هوش مصنوعی سازگار با OpenAI و Anthropic با فراخوانی توابع، جستجوی وب و خروجی‌های ساختاریافته.

دریافت کلید API آزمایش Playground V2
مستندات
  • OV نمای کلی
  • CP قابلیت‌ها
  • QS شروع سریع
  • PG پلی‌گراند API جدید
  • AU احراز هویت
  • ML مدل‌ها
  • FN فراخوانی توابع
  • JS خروجی‌های ساختاریافته
  • SS استریم
  • WS جستجوی وب داخلی
  • AN فرمت Anthropic
  • SD SDKها
  • ER مدیریت خطا
  • CL تغییرات
  • AK کلید API شما
  • US مصرف شما

Shannon AI API Documentation

نمای کلی

مستندات عمومی

هرآنچه برای راه‌اندازی با API سازگار Shannon با OpenAI و Anthropic نیاز دارید.

URL پایه سازگار با OpenAI
https://api.shannon-ai.com/v1/chat/completions

از Chat Completions API با function calling و streaming استفاده کنید.

URL پایه سازگار با Anthropic
https://api.shannon-ai.com/v1/messages

فرمت Claude Messages با tools و هدر anthropic-version.

هدرها احراز هویت
مجوز: Bearer <کلید-شما>

یا برای درخواست‌های سبک Claude از X-API-Key به‌همراه anthropic-version استفاده کنید.

Access Status
Public docs - Key required to call

Streaming، function calling، خروجی ساختاریافته و جستجوی وب.

چک‌لیست راه‌اندازی
  • +
    SDK خود را به Shannon متصل کنید
    baseURL را روی endpoint مربوط به OpenAI یا Anthropic در بالا تنظیم کنید.
    Setup
  • +
    کلید API خود را اضافه کنید
    برای OpenAI از Bearer یا از X-API-Key + anthropic-version استفاده کنید.
    Security
  • +
    tools و خروجی ساختاریافته را فعال کنید
    از OpenAI tools/functions، JSON schema و web_search داخلی پشتیبانی می‌شود.
    قابلیت‌ها
  • +
    پیگیری مصرف
    پس از ورود، مصرف توکن و جستجو را در این صفحه ببینید.
    Analytics

قابلیت‌ها

OpenAI + Anthropic

جایگزین مستقیم APIهای OpenAI و Anthropic با پشتیبانی بومی از tools، خروجی ساختاریافته و جستجوی وب داخلی.

AI

جایگزین آماده

سازگار

با SDKهای OpenAI و Anthropic کار می‌کند. فقط URL پایه را تغییر دهید.

AI

فراخوانی توابع

ابزارها

ابزارها را تعریف کنید تا Shannon آن‌ها را فراخوانی کند. حالت‌های auto، forced و none پشتیبانی می‌شود.

AI

جستجوی وب داخلی

جستجو

جستجوی وب هم‌زمان با ارجاع به منابع. به‌طور خودکار در دسترس است.

AI

خروجی‌های ساخت‌یافته

JSON

حالت JSON و اعمال JSON Schema برای استخراج قابل اعتماد داده.

AI

ابزارهای چندمرحله‌ای

ایجنتی

حلقه‌های اجرای خودکار تابع. تا ۱۰ تکرار در هر درخواست.

AI

جریان

سریع

رویدادهای ارسال از سرور برای جریان بلادرنگ توکن‌ها.

شروع سریع

۵ دقیقه

در سه گام شروع کنید. Shannon کلاینت‌های OpenAI و Anthropic را شبیه‌سازی می‌کند.

1

URL پایه خود را تنظیم کنید

از endpoint سازگار با OpenAI استفاده کنید.

https://api.shannon-ai.com/v1/chat/completions
2

کلید API خود را اضافه کنید

از Bearer auth در هدر Authorization استفاده کنید.

3

اولین پیام خود را ارسال کنید

زبان را انتخاب کنید و کلید خود را جایگزین کنید.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

فرمت پاسخ

پاسخ موفق
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

پلی‌گراند API

جدید

API شانون را مستقیم در مرورگر آزمایش کنید. درخواست بسازید، اجرا کنید و پاسخ را بلادرنگ ببینید.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/fa/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

آزمایش Playground V2 دریافت کلید API

احراز هویت

تمام درخواست‌های API نیاز به احراز هویت با کلید API Shannon شما دارند.

OpenAI Format (Recommended)

HTTP
Authorization: Bearer YOUR_API_KEY

فرمت Anthropic

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

مدل‌ها

Shannon چندین مدل بهینه‌شده برای کاربردهای مختلف ارائه می‌دهد.

AI
shannon-1.6-lite Shannon 1.6 Lite

Fast, efficient responses for everyday tasks

زمینه 128K
بهترین برای Chat, Q&A, Content Generation
AI
shannon-1.6-pro Shannon 1.6 Pro

Advanced reasoning for complex problems

زمینه 128K
بهترین برای Analysis, Research, Complex Tasks
AI
shannon-2-lite Shannon 2 Lite

زمینه 128K
بهترین برای
AI
shannon-2-pro Shannon 2 Pro

زمینه 128K
بهترین برای
AI
shannon-coder-1 Shannon Coder

Optimized for Claude Code CLI with call-based quota

زمینه 128K
بهترین برای Code Generation, Tool Use, CLI Integration
Call-based quota

فراخوانی توابع

Define tools that Shannon can call to perform actions or retrieve information.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

گزینه‌های انتخاب ابزار

"auto" Model decides whether to call a function (default)
"none" Disable function calling for this request
{"type": "function", "function": {"name": "..."}} Force a specific function call

پاسخ فراخوانی تابع

When model calls a function
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

خروجی‌های ساختاریافته

Force Shannon to respond with valid JSON that matches your schema.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

گزینه‌های قالب پاسخ

{"type": "json_object"} Force valid JSON output (no specific schema)
{"type": "json_schema", "json_schema": {...}} Force output matching your exact schema

استریم

Enable real-time token streaming with Server-Sent Events for responsive UIs.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
نکته: Streaming responses arrive as Server-Sent Events. Each chunk contains a delta with partial content.

جستجوی وب داخلی

Shannon includes a built-in web_search function that's automatically available.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
نکته حرفه‌ای: نتایج جستجوی وب شامل ارجاع هستند. Shannon منابع را خودکار نقل می‌کند.

فرمت Anthropic

Shannon از فرمت Anthropic Messages API نیز پشتیبانی می‌کند.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
هدر الزامی: Anthropic format requires anthropic-version: 2023-06-01.

SDKها

سازگار

Use any OpenAI or Anthropic SDK - just change the base URL.

OpenAI-Compatible SDKs

SDK Python

Official OpenAI Python SDK - works with Shannon

pip install openai
View Docs ->
SDK JavaScript / TypeScript

Official OpenAI Node.js SDK - works with Shannon

npm install openai
View Docs ->
SDK Go

Community Go client for OpenAI-compatible APIs

go get github.com/sashabaranov/go-openai
View Docs ->
SDK Ruby

Community Ruby client for OpenAI-compatible APIs

gem install ruby-openai
View Docs ->
SDK PHP

Community PHP client for OpenAI-compatible APIs

composer require openai-php/client
View Docs ->
SDK Rust

Async Rust client for OpenAI-compatible APIs

cargo add async-openai
View Docs ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Official Anthropic Python SDK - works with Shannon

pip install anthropic
View Docs ->
SDK TypeScript (Anthropic)

Official Anthropic TypeScript SDK - works with Shannon

npm install @anthropic-ai/sdk
View Docs ->

مدیریت خطا

Shannon از کدهای وضعیت استاندارد HTTP استفاده می‌کند و خطاهای دقیق بازمی‌گرداند.

400 درخواست نامعتبر فرمت یا پارامترهای درخواست نامعتبر است
401 غیرمجاز کلید API نامعتبر یا موجود نیست
402 سهمیه تمام شد سهمیه توکن یا جستجو تمام شد
429 محدودیت نرخ درخواست‌های زیاد، کندتر کنید
500 خطای سرور خطای داخلی، بعداً دوباره تلاش کنید

فرمت پاسخ خطا

پاسخ خطا
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

تغییرات

LOG

Recent updates and improvements to the Shannon API.

v2.1.0
2025-01-03
  • جدید Added shannon-coder-1 model for Claude Code CLI integration
  • جدید Call-based quota system for Coder model
  • Improved Improved function calling reliability
v2.0.0
2024-12-15
  • جدید Added Anthropic Messages API compatibility
  • جدید Multi-turn tool execution (up to 10 iterations)
  • جدید JSON Schema response format support
  • Improved Enhanced web search with better citations
v1.5.0
2024-11-20
  • جدید Added shannon-deep-dapo model for complex reasoning
  • جدید Built-in web_search function
  • Improved Reduced latency for streaming responses
v1.0.0
2024-10-01
  • جدید Initial API release
  • جدید OpenAI-compatible chat completions endpoint
  • جدید Function calling support
  • جدید Streaming via Server-Sent Events

کلید API شما

Access
برای OpenAI از Bearer یا از X-API-Key + anthropic-version استفاده کنید.
YOUR_API_KEY
دریافت کلید API

کلید API خود را محرمانه نگه دارید. تولید مجدد، کلید جدید می‌سازد و قبلی را باطل می‌کند.

نسخه: 1
آخرین چرخش: هرگز
آخرین استفاده: هرگز

مصرف شما

پس از ورود، مصرف توکن و جستجو را در این صفحه ببینید.

-- فراخوانی‌های API
-- توکن‌های مصرف‌شده

Shannon Coder (shannon-coder-1)

سهمیه مبتنی بر فراخوانی برای Shannon Coder (shannon-coder-1). هر 4 ساعت ریست می‌شود.

0 فراخوانی‌های استفاده‌شده
0 فراخوانی‌های باقیمانده

آماده ساخت هستید؟

Get your API key and start building with Shannon AI today.

دریافت کلید API مشاهده قیمت‌ها

جستجوهای محبوب:

کلمات کلیدی دیگری را امتحان کنید
پیمایش: ↑ ↓ انتخاب: Enter بستن: Esc